# -*- coding: utf-8 -*-
        
#--- constants ------------------------------------------------------------
PluginName = "MultiEntryList"
PluginVersion = "1.0"
PluginTitle = PluginName + " (Ver. " + PluginVersion + ")"

# plugin header
from Plugins.Plugin import PluginDescriptor

# GUI
from Screens.Screen import Screen
from Components.GUIComponent import GUIComponent
from Components.MenuList import MenuList
from Components.MultiContent import MultiContentEntryText
from enigma import eListbox, eListboxPythonMultiContent, gFont, RT_HALIGN_LEFT
from Components.Label import Label
from Components.ActionMap import ActionMap
           
class Screen1(Screen):        
    skin = '''<screen position="100,100" size="800,550" title="''' + PluginTitle + '''">
            <ePixmap pixmap="skin_default/buttons/red.png" position="0,0" size="140,40" transparent="1" alphatest="on" />
            <ePixmap pixmap="skin_default/buttons/green.png" position="140,0" size="140,40" transparent="1" alphatest="on" />
            <widget name="key_red" position="0,0" zPosition="1" size="140,40" font="Regular;20" valign="center" halign="center" backgroundColor="#1f771f" transparent="1" />
            <widget name="key_green" position="140,0" zPosition="1" size="140,40" font="Regular;20" valign="center" halign="center" backgroundColor="#1f771f" transparent="1" />
            <widget name="list" position="200,200" zPosition="1" size="100,40" font="Regular;20" />
            </screen>'''
  
    def __init__(self, session, args = None):
        self.session = session
        Screen.__init__(self, session)
        #MenuList.__init__(self, entries, False, content = eListboxPythonMultiContent)

        self["key_red"] = Label(_("- red -"))
        self["key_green"] = Label(_("- green -"))  
        
        self["list"] = MenuList(ExampleList(), content = eListboxPythonMultiContent)         
        
        self["actions"] = ActionMap(["OkCancelActions", "ColorActions"], 
                                    {"red": self.red,
                                     "green": self.green,
                                     "cancel": self.exit}, -1)   
    def red(self):
        pass
    def green(self):
        pass
    def exit(self):
        self.close()

class ExampleList(GUIComponent):
  
    def __init__(self):
        GUIComponent.__init__(self)
        self.l = eListboxPythonMultiContent()
        self.l.setBuildFunc(self.newLine)
        self.l.setList(range(5))
        self.l.setFont(0,gFont("Regular",20))
        self.l.setItemHeight(30)

    
    def newLine(self,index):
        res = [None]
        res.append(MultiContentEntryText(pos = (10,10), size = (200, 30), font = 0, flags = RT_HALIGN_LEFT, text = "line"+str(index)))
        return res


    GUI_WIDGET = eListbox
             
#--- main program to display setup screen--------------------------------------------
def Start(session, **kwargs):
    session.open(Screen1)
          
#--- Plugin in PluginMenu ------------------------------------------------------------
def Plugins(**kwargs):
    return [
            PluginDescriptor(name= PluginName, 
                             description = PluginTitle,
                             where = PluginDescriptor.WHERE_PLUGINMENU, 
                             fnc=Start
                             )
            ]
    




